*This file will reproduce the tables in: Early, Bryan R., Matthew Fuhrmann, and Quan Li, "Atoms for Terror? Nuclear Programs and Noncatastrophic Nuclear and Radiological Terrorism," British Journal of Political Science, forthcoming.

cd "C:\Users\Matthew Fuhrmann\Dropbox\RN Terrorism\Data\BJPS Replication 2012-0731"

***********************************************************************************************************************************************
*Table 1: Nuclear Programs, Nuclear Security, and Noncatastrophic NR Terrorism
***********************************************************************************************************************************************
probit nrterror lnrx gdpcap democracy majpow cwar peaceyrs* , cluster(stateno)
outreg2 using "Table 1.doc", nolabel se replace bdec(3) 
probit  nrterror lnrx cpp lnrxXcpp gdpcap democracy majpow cwar peaceyrs* , cluster(stateno)
outreg2 using "Table 1.doc", nolabel se append bdec(3) 
probit  nrterror lnrx honesty lnrxXhonesty gdpcap democracy majpow cwar peaceyrs* , cluster(stateno)
outreg2 using "Table 1.doc", nolabel se append bdec(3) 
probit  nrterror lnrx cpp lnrxXcpp honesty lnrxXhonesty gdpcap democracy majpow cwar peaceyrs* , cluster(stateno)
outreg2 using "Table 1.doc", nolabel se append bdec(3) 

*Substantive effects
probit nrterror lnrx gdpcap democracy majpow cwar peaceyrs* , cluster(stateno)
prvalue, x(lnrx=0 democracy=0 majpow=0 cwar=0)
prvalue, x(lnrx=.79 democracy=0 majpow=0 cwar=0)
prvalue, x(lnrx=5.89 democracy=0 majpow=0 cwar=0)
prtab cwar, x(democracy=0 majpow=0)

sort stateno year
by stateno : g nrterror1=nrterror[_n+1]
btscs nrterror1 year stateno, g(peaceyrsl) 
g peaceyrsl2=peaceyrsl*peaceyrsl
g peaceyrsl3=peaceyrsl2*peaceyrsl
probit nrterror1 lnrx gdpcap democracy majpow cwar peaceyrsl* , cluster(stateno)

***********************************************************************************************************************************************
*Figure 2: Marginal Effect of Nuclear Programs on Noncatastrophic NR Terrorism As Honesty Increases
***********************************************************************************************************************************************
probit  nrterror lnrx honesty lnrxXhonesty gdpcap democracy majpow cwar peaceyrs* , cluster(stateno)
sum nrterror lnrx honesty lnrxXhonesty gdpcap democracy majpow cwar peaceyrs* if e(sample)
#delimit;
probit  nrterror lnrx honesty lnrxXhonesty gdpcap democracy majpow cwar peaceyrs* , cluster(stateno);
preserve;
drawnorm MF_b1-MF_b11, n(10000) means(e(b)) cov(e(V)) clear;

postutil clear;
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using fig2  , replace;
            noisily display "start";          
           
local a=0; 
while `a' <= 6  {;

quietly display "got here";
quietly {;

scalar h_lnrx=.95;
scalar h_gdpcap=7632.107;
scalar h_democracy=1;
scalar h_majpow=0;
scalar h_cwar=0;
scalar h_peaceyrs=6.854;
scalar h_peaceyrs2=65.389;
scalar h_peaceyrs3=700.703;
scalar h_constant=1;

    generate x_betahat0 = MF_b1*h_lnrx
                            + MF_b2*(`a')
                            + MF_b3*h_lnrx*(`a')
				    + MF_b4*h_gdpcap
                            + MF_b5*h_democracy
                            + MF_b6*h_majpow
                            + MF_b7*h_cwar
                            + MF_b8*h_peaceyrs
                            + MF_b9*h_peaceyrs2
                            + MF_b10*h_peaceyrs3
                            + MF_b11*h_constant;
                              
    generate x_betahat1 = MF_b1*(h_lnrx+4.94)
                            + MF_b2*(`a')
                            + MF_b3*(h_lnrx+4.94)*(`a')
				    + MF_b4*h_gdpcap
                            + MF_b5*h_democracy
                            + MF_b6*h_majpow
                            + MF_b7*h_cwar
                            + MF_b8*h_peaceyrs
                            + MF_b9*h_peaceyrs2
                            + MF_b10*h_peaceyrs3
                            + MF_b11*h_constant;

   gen prob0=normal(x_betahat0);
    gen prob1=normal(x_betahat1);
    gen diff=prob1-prob0;
    
    egen probhat0=mean(prob0);
    egen probhat1=mean(prob1);
    egen diffhat=mean(diff);
    
    tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi ;  

    _pctile prob0, p(2.5,97.5) ;
    scalar `lo0' = r(r1);
    scalar `hi0' = r(r2);  
    
    _pctile prob1, p(2.5,97.5);
    scalar `lo1'= r(r1);
    scalar `hi1'= r(r2);  
    
    _pctile diff, p(2.5,97.5);
    scalar `diff_lo'= r(r1);
    scalar `diff_hi'= r(r2);  
  
    scalar `prob_hat0'=probhat0;
    scalar `prob_hat1'=probhat1;
    scalar `diff_hat'=diffhat;
    
    post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') 
                (`diff_hat') (`diff_lo') (`diff_hi') ;
    };      
    drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat ;
    local a=`a'+ 1 ;
    display "." _c;
    } ;
display "";
postclose mypost;
use fig2, clear;
gen MV = _n-1;
graph twoway line diff_hat MV, clwidth(medium) clcolor(blue) clcolor(black)
        ||   line diff_lo  MV, clpattern(dash) clwidth(thin) clcolor(black)
        ||   line diff_hi  MV, clpattern(dash) clwidth(thin) clcolor(black)
        ||  ,   
            xlabel(0 1 2 3 4 5 6 , labsize(3)) 
            ylabel(-.1 0 .1 .2 .3 .4 .5 .6 , labsize(3))
            yscale(noline)
            xscale(noline)

            legend(off)
            title("", size(4))
            subtitle(" " "" " ", size(3))
            xtitle("Honesty", size(3.5)  )
            ytitle("Marginal Effect of Nuclear Program Size", size(3.5))
            xsca(titlegap(2))
            ysca(titlegap(2))
            scheme(s2mono) graphregion(fcolor(white));

***Replicate based on Model 4 (cpp=1)
probit  nrterror lnrx honesty lnrxXhonesty cpp lnrxXcpp gdpcap democracy majpow cwar peaceyrs* , cluster(stateno)
sum nrterror lnrx honesty lnrxXhonesty cpp lnrxXcpp gdpcap democracy majpow cwar peaceyrs* if e(sample)
#delimit;
probit  nrterror lnrx honesty lnrxXhonesty cpp lnrxXcpp gdpcap democracy majpow cwar peaceyrs* , cluster(stateno);
preserve;
drawnorm MF_b1-MF_b13, n(10000) means(e(b)) cov(e(V)) clear;

postutil clear;
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim_corruptioncpp1  , replace;
            noisily display "start";          
           
local a=0; 
while `a' <= 6  {;

quietly display "got here";
quietly {;

scalar h_lnrx=.95;
scalar h_cpp=1;
scalar h_lnrxXcpp=.95;
scalar h_gdpcap=7632.107;
scalar h_democracy=1;
scalar h_majpow=0;
scalar h_cwar=0;
scalar h_peaceyrs=6.854;
scalar h_peaceyrs2=65.389;
scalar h_peaceyrs3=700.703;
scalar h_constant=1;

    generate x_betahat0 = MF_b1*h_lnrx
                            + MF_b2*(`a')
                            + MF_b3*h_lnrx*(`a')
				    + MF_b4*h_cpp
				    + MF_b5*h_lnrxXcpp
				    + MF_b6*h_gdpcap
                            + MF_b7*h_democracy
                            + MF_b8*h_majpow
                            + MF_b9*h_cwar
                            + MF_b10*h_peaceyrs
                            + MF_b11*h_peaceyrs2
                            + MF_b12*h_peaceyrs3
                            + MF_b13*h_constant;
                              
    generate x_betahat1 = MF_b1*(h_lnrx+4.92)
                            + MF_b2*(`a')
                            + MF_b3*(h_lnrx+4.92)*(`a')
				    + MF_b4*h_cpp
				    + MF_b5*(h_lnrxXcpp+4.92)
				    + MF_b6*h_gdpcap
                            + MF_b7*h_democracy
                            + MF_b8*h_majpow
                            + MF_b9*h_cwar
                            + MF_b10*h_peaceyrs
                            + MF_b11*h_peaceyrs2
                            + MF_b12*h_peaceyrs3
                            + MF_b13*h_constant;

   gen prob0=normal(x_betahat0);
    gen prob1=normal(x_betahat1);
    gen diff=prob1-prob0;
    
    egen probhat0=mean(prob0);
    egen probhat1=mean(prob1);
    egen diffhat=mean(diff);
    
    tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi ;  

    _pctile prob0, p(2.5,97.5) ;
    scalar `lo0' = r(r1);
    scalar `hi0' = r(r2);  
    
    _pctile prob1, p(2.5,97.5);
    scalar `lo1'= r(r1);
    scalar `hi1'= r(r2);  
    
    _pctile diff, p(2.5,97.5);
    scalar `diff_lo'= r(r1);
    scalar `diff_hi'= r(r2);  
  
    scalar `prob_hat0'=probhat0;
    scalar `prob_hat1'=probhat1;
    scalar `diff_hat'=diffhat;
    
    post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') 
                (`diff_hat') (`diff_lo') (`diff_hi') ;
    };      
    drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat ;
    local a=`a'+ 1 ;
    display "." _c;
    } ;
display "";
postclose mypost;
use sim_corruptioncpp1, clear;
gen MV = _n-1;
graph twoway line diff_hat MV, clwidth(medium) clcolor(blue) clcolor(black)
        ||   line diff_lo  MV, clpattern(dash) clwidth(thin) clcolor(black)
        ||   line diff_hi  MV, clpattern(dash) clwidth(thin) clcolor(black)
        ||  ,   
            xlabel(0 1 2 3 4 5 6 , labsize(3)) 
            ylabel(-.1 0 .1 .2 .3 .4 .5 .6 .7 .8, labsize(3))
            yscale(noline)
            xscale(noline)

            legend(off)
            title("", size(4))
            subtitle(" " "" " ", size(3))
            xtitle("Honesty", size(3.5)  )
            ytitle("Marginal Effect of Nuclear Plants", size(3.5))
            xsca(titlegap(2))
            ysca(titlegap(2))
            scheme(s2mono) graphregion(fcolor(white));

***Replicate based on Model 4 (cpp=0)
probit  nrterror lnrx honesty lnrxXhonesty cpp lnrxXcpp gdpcap democracy majpow cwar peaceyrs* , cluster(stateno)
sum nrterror lnrx honesty lnrxXhonesty cpp lnrxXcpp gdpcap democracy majpow cwar peaceyrs* if e(sample)
#delimit;
probit  nrterror lnrx honesty lnrxXhonesty cpp lnrxXcpp gdpcap democracy majpow cwar peaceyrs* , cluster(stateno);
preserve;
drawnorm MF_b1-MF_b13, n(10000) means(e(b)) cov(e(V)) clear;

postutil clear;
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim_corruptioncpp0  , replace;
            noisily display "start";          
           
local a=0; 
while `a' <= 6  {;

quietly display "got here";
quietly {;

scalar h_lnrx=.95;
scalar h_cpp=0;
scalar h_lnrxXcpp=0;
scalar h_gdpcap=7632.107;
scalar h_democracy=1;
scalar h_majpow=0;
scalar h_cwar=0;
scalar h_peaceyrs=6.854;
scalar h_peaceyrs2=65.389;
scalar h_peaceyrs3=700.703;
scalar h_constant=1;

    generate x_betahat0 = MF_b1*h_lnrx
                            + MF_b2*(`a')
                            + MF_b3*h_lnrx*(`a')
				    + MF_b4*h_cpp
				    + MF_b5*h_lnrxXcpp
				    + MF_b6*h_gdpcap
                            + MF_b7*h_democracy
                            + MF_b8*h_majpow
                            + MF_b9*h_cwar
                            + MF_b10*h_peaceyrs
                            + MF_b11*h_peaceyrs2
                            + MF_b12*h_peaceyrs3
                            + MF_b13*h_constant;
                              
    generate x_betahat1 = MF_b1*(h_lnrx+4.92)
                            + MF_b2*(`a')
                            + MF_b3*(h_lnrx+4.92)*(`a')
				    + MF_b4*h_cpp
				    + MF_b5*(h_lnrxXcpp+4.92)
				    + MF_b6*h_gdpcap
                            + MF_b7*h_democracy
                            + MF_b8*h_majpow
                            + MF_b9*h_cwar
                            + MF_b10*h_peaceyrs
                            + MF_b11*h_peaceyrs2
                            + MF_b12*h_peaceyrs3
                            + MF_b13*h_constant;

   gen prob0=normal(x_betahat0);
    gen prob1=normal(x_betahat1);
    gen diff=prob1-prob0;
    
    egen probhat0=mean(prob0);
    egen probhat1=mean(prob1);
    egen diffhat=mean(diff);
    
    tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi ;  

    _pctile prob0, p(2.5,97.5) ;
    scalar `lo0' = r(r1);
    scalar `hi0' = r(r2);  
    
    _pctile prob1, p(2.5,97.5);
    scalar `lo1'= r(r1);
    scalar `hi1'= r(r2);  
    
    _pctile diff, p(2.5,97.5);
    scalar `diff_lo'= r(r1);
    scalar `diff_hi'= r(r2);  
  
    scalar `prob_hat0'=probhat0;
    scalar `prob_hat1'=probhat1;
    scalar `diff_hat'=diffhat;
    
    post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') 
                (`diff_hat') (`diff_lo') (`diff_hi') ;
    };      
    drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat ;
    local a=`a'+ 1 ;
    display "." _c;
    } ;
display "";
postclose mypost;
use sim_corruptioncpp0, clear;
gen MV = _n-1;
graph twoway line diff_hat MV, clwidth(medium) clcolor(blue) clcolor(black)
        ||   line diff_lo  MV, clpattern(dash) clwidth(thin) clcolor(black)
        ||   line diff_hi  MV, clpattern(dash) clwidth(thin) clcolor(black)
        ||  ,   
            xlabel(0 1 2 3 4 5 6 , labsize(3)) 
            ylabel(-.1 0 .1 .2 .3 .4 .5 .6 .7 .8, labsize(3))
            yscale(noline)
            xscale(noline)

            legend(off)
            title("", size(4))
            subtitle(" " "" " ", size(3))
            xtitle("Honesty", size(3.5)  )
            ytitle("Marginal Effect of Nuclear Plants", size(3.5))
            xsca(titlegap(2))
            ysca(titlegap(2))
            scheme(s2mono) graphregion(fcolor(white));


***********************************************************************************************************************************************
*Marginal Effect of Nuclear Programs on Noncatastrophic NR Terrorism As Nuclear Security Increases (Physical Protection Convention)
***********************************************************************************************************************************************
probit  nrterror lnrx cpp lnrxXcpp gdpcap democracy majpow cwar peaceyrs* , cluster(stateno)
sum nrterror lnrx cpp lnrxXcpp gdpcap democracy majpow cwar peaceyrs* if e(sample)
#delimit;
probit  nrterror lnrx cpp lnrxXcpp gdpcap democracy majpow cwar peaceyrs* , cluster(stateno);
preserve;
drawnorm MF_b1-MF_b11, n(10000) means(e(b)) cov(e(V)) clear;

postutil clear;
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim_cpp  , replace;
            noisily display "start";          
           
local a=0; 
while `a' <= 1  {;

quietly display "got here";
quietly {;

scalar h_lnrx=.79;
scalar h_gdpcap=6293.2;
scalar h_democracy=0;
scalar h_majpow=0;
scalar h_cwar=0;
scalar h_peaceyrs=6.74;
scalar h_peaceyrs2=64.04;
scalar h_peaceyrs3=686.61;
scalar h_constant=1;

    generate x_betahat0 = MF_b1*h_lnrx
                            + MF_b2*(`a')
                            + MF_b3*h_lnrx*(`a')
				    + MF_b4*h_gdpcap
                            + MF_b5*h_democracy
                            + MF_b6*h_majpow
                            + MF_b7*h_cwar
                            + MF_b8*h_peaceyrs
                            + MF_b9*h_peaceyrs2
                            + MF_b10*h_peaceyrs3
                            + MF_b11*h_constant;
                              
    generate x_betahat1 = MF_b1*(h_lnrx+5.1)
                            + MF_b2*(`a')
                            + MF_b3*(h_lnrx+5.1)*(`a')
				    + MF_b4*h_gdpcap
                            + MF_b5*h_democracy
                            + MF_b6*h_majpow
                            + MF_b7*h_cwar
                            + MF_b8*h_peaceyrs
                            + MF_b9*h_peaceyrs2
                            + MF_b10*h_peaceyrs3
                            + MF_b11*h_constant;

   gen prob0=normal(x_betahat0);
    gen prob1=normal(x_betahat1);
    gen diff=prob1-prob0;
    
    egen probhat0=mean(prob0);
    egen probhat1=mean(prob1);
    egen diffhat=mean(diff);
    
    tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi ;  

    _pctile prob0, p(2.5,97.5) ;
    scalar `lo0' = r(r1);
    scalar `hi0' = r(r2);  
    
    _pctile prob1, p(2.5,97.5);
    scalar `lo1'= r(r1);
    scalar `hi1'= r(r2);  
    
    _pctile diff, p(2.5,97.5);
    scalar `diff_lo'= r(r1);
    scalar `diff_hi'= r(r2);  
  
    scalar `prob_hat0'=probhat0;
    scalar `prob_hat1'=probhat1;
    scalar `diff_hat'=diffhat;
    
    post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') 
                (`diff_hat') (`diff_lo') (`diff_hi') ;
    };      
    drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat ;
    local a=`a'+ 1 ;
    display "." _c;
    } ;
display "";
postclose mypost;
use sim_cpp, clear;
gen MV = _n-1;
graph twoway line diff_hat MV, clwidth(medium) clcolor(blue) clcolor(black)
        ||   line diff_lo  MV, clpattern(dash) clwidth(thin) clcolor(black)
        ||   line diff_hi  MV, clpattern(dash) clwidth(thin) clcolor(black)
        ||  ,   
            xlabel(0 1, labsize(3)) 
            ylabel(-.1 0 .1 .2 .3 .4 .5 .6 .7 .8 .9, labsize(3))
            yscale(noline)
            xscale(noline)

            legend(off)
            title("", size(4))
            subtitle(" " "" " ", size(3))
            xtitle("Nuclear Security", size(3.5)  )
            ytitle("Marginal Effect of Nuclear Reactors", size(3.5))
            xsca(titlegap(2))
            ysca(titlegap(2))
            scheme(s2mono) graphregion(fcolor(white));

								
**********************
*Replicate based on Model 4 (full model with both interaction terms; honesty = 0)
**********************
probit  nrterror lnrx cpp lnrxXcpp honesty lnrxXhonesty gdpcap democracy majpow cwar peaceyrs* , cluster(stateno)
sum nrterror lnrx cpp lnrxXcpp gdpcap democracy majpow cwar peaceyrs* if e(sample)
#delimit;
probit  nrterror lnrx cpp lnrxXcpp honesty lnrxXhonesty gdpcap democracy majpow cwar peaceyrs* , cluster(stateno);
preserve;
drawnorm MF_b1-MF_b13, n(10000) means(e(b)) cov(e(V)) clear;

postutil clear;
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim_cpphon0  , replace;
            noisily display "start";          
           
local a=0; 
while `a' <= 1  {;

quietly display "got here";
quietly {;

scalar h_lnrx=.95;
scalar h_honesty=0;
scalar h_lnrxXhonesty=0;
scalar h_gdpcap=7632;
scalar h_democracy=1;
scalar h_majpow=0;
scalar h_cwar=0;
scalar h_peaceyrs=6.85;
scalar h_peaceyrs2=65.39;
scalar h_peaceyrs3=700.7;
scalar h_constant=1;

    generate x_betahat0 = MF_b1*h_lnrx
                            + MF_b2*(`a')
                            + MF_b3*h_lnrx*(`a')
				    + MF_b4*h_honesty
				    + MF_b5*h_lnrxXhonesty
				    + MF_b6*h_gdpcap
                            + MF_b7*h_democracy
                            + MF_b8*h_majpow
                            + MF_b9*h_cwar
                            + MF_b10*h_peaceyrs
                            + MF_b11*h_peaceyrs2
                            + MF_b12*h_peaceyrs3
                            + MF_b13*h_constant;
                              
    generate x_betahat1 = MF_b1*(h_lnrx+4.92)
                            + MF_b2*(`a')
                            + MF_b3*(h_lnrx+4.92)*(`a')
				    + MF_b4*h_honesty
				    + MF_b5*h_lnrxXhonesty
				    + MF_b6*h_gdpcap
                            + MF_b7*h_democracy
                            + MF_b8*h_majpow
                            + MF_b9*h_cwar
                            + MF_b10*h_peaceyrs
                            + MF_b11*h_peaceyrs2
                            + MF_b12*h_peaceyrs3
                            + MF_b13*h_constant;

   gen prob0=normal(x_betahat0);
    gen prob1=normal(x_betahat1);
    gen diff=prob1-prob0;
    
    egen probhat0=mean(prob0);
    egen probhat1=mean(prob1);
    egen diffhat=mean(diff);
    
    tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi ;  

    _pctile prob0, p(2.5,97.5) ;
    scalar `lo0' = r(r1);
    scalar `hi0' = r(r2);  
    
    _pctile prob1, p(2.5,97.5);
    scalar `lo1'= r(r1);
    scalar `hi1'= r(r2);  
    
    _pctile diff, p(2.5,97.5);
    scalar `diff_lo'= r(r1);
    scalar `diff_hi'= r(r2);  
  
    scalar `prob_hat0'=probhat0;
    scalar `prob_hat1'=probhat1;
    scalar `diff_hat'=diffhat;
    
    post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') 
                (`diff_hat') (`diff_lo') (`diff_hi') ;
    };      
    drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat ;
    local a=`a'+ 1 ;
    display "." _c;
    } ;
display "";
postclose mypost;
use sim_cpphon0, clear;
gen MV = _n-1;
graph twoway line diff_hat MV, clwidth(medium) clcolor(blue) clcolor(black)
        ||   line diff_lo  MV, clpattern(dash) clwidth(thin) clcolor(black)
        ||   line diff_hi  MV, clpattern(dash) clwidth(thin) clcolor(black)
        ||  ,   
            xlabel(0 1, labsize(3)) 
            ylabel(-.1 0 .1 .2 .3 .4 .5 .6 .7 .8 .9, labsize(3))
            yscale(noline)
            xscale(noline)

            legend(off)
            title("", size(4))
            subtitle(" " "" " ", size(3))
            xtitle("Nuclear Security", size(3.5)  )
            ytitle("Marginal Effect of Nuclear Reactors", size(3.5))
            xsca(titlegap(2))
            ysca(titlegap(2))
            scheme(s2mono) graphregion(fcolor(white));

**********************
*Replicate based on Model 4 (full model with both interaction terms; honesty = 6)
**********************
probit  nrterror lnrx cpp lnrxXcpp honesty lnrxXhonesty gdpcap democracy majpow cwar peaceyrs* , cluster(stateno)
sum nrterror lnrx cpp lnrxXcpp gdpcap democracy majpow cwar peaceyrs* if e(sample)
#delimit;
probit  nrterror lnrx cpp lnrxXcpp honesty lnrxXhonesty gdpcap democracy majpow cwar peaceyrs* , cluster(stateno);
preserve;
drawnorm MF_b1-MF_b13, n(10000) means(e(b)) cov(e(V)) clear;

postutil clear;
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim_cpphon6  , replace;
            noisily display "start";          
           
local a=0; 
while `a' <= 1  {;

quietly display "got here";
quietly {;

scalar h_lnrx=.95;
scalar h_honesty=6;
scalar h_lnrxXhonesty=5.7;
scalar h_gdpcap=7632;
scalar h_democracy=1;
scalar h_majpow=0;
scalar h_cwar=0;
scalar h_peaceyrs=6.85;
scalar h_peaceyrs2=65.39;
scalar h_peaceyrs3=700.7;
scalar h_constant=1;

    generate x_betahat0 = MF_b1*h_lnrx
                            + MF_b2*(`a')
                            + MF_b3*h_lnrx*(`a')
				    + MF_b4*h_honesty
				    + MF_b5*h_lnrxXhonesty
				    + MF_b6*h_gdpcap
                            + MF_b7*h_democracy
                            + MF_b8*h_majpow
                            + MF_b9*h_cwar
                            + MF_b10*h_peaceyrs
                            + MF_b11*h_peaceyrs2
                            + MF_b12*h_peaceyrs3
                            + MF_b13*h_constant;
                              
    generate x_betahat1 = MF_b1*(h_lnrx+4.92)
                            + MF_b2*(`a')
                            + MF_b3*(h_lnrx+4.92)*(`a')
				    + MF_b4*h_honesty
				    + MF_b5*(h_lnrxXhonesty+29.52)
				    + MF_b6*h_gdpcap
                            + MF_b7*h_democracy
                            + MF_b8*h_majpow
                            + MF_b9*h_cwar
                            + MF_b10*h_peaceyrs
                            + MF_b11*h_peaceyrs2
                            + MF_b12*h_peaceyrs3
                            + MF_b13*h_constant;

   gen prob0=normal(x_betahat0);
    gen prob1=normal(x_betahat1);
    gen diff=prob1-prob0;
    
    egen probhat0=mean(prob0);
    egen probhat1=mean(prob1);
    egen diffhat=mean(diff);
    
    tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi ;  

    _pctile prob0, p(2.5,97.5) ;
    scalar `lo0' = r(r1);
    scalar `hi0' = r(r2);  
    
    _pctile prob1, p(2.5,97.5);
    scalar `lo1'= r(r1);
    scalar `hi1'= r(r2);  
    
    _pctile diff, p(2.5,97.5);
    scalar `diff_lo'= r(r1);
    scalar `diff_hi'= r(r2);  
  
    scalar `prob_hat0'=probhat0;
    scalar `prob_hat1'=probhat1;
    scalar `diff_hat'=diffhat;
    
    post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') 
                (`diff_hat') (`diff_lo') (`diff_hi') ;
    };      
    drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat ;
    local a=`a'+ 1 ;
    display "." _c;
    } ;
display "";
postclose mypost;
use sim_cpphon6, clear;
gen MV = _n-1;
graph twoway line diff_hat MV, clwidth(medium) clcolor(blue) clcolor(black)
        ||   line diff_lo  MV, clpattern(dash) clwidth(thin) clcolor(black)
        ||   line diff_hi  MV, clpattern(dash) clwidth(thin) clcolor(black)
        ||  ,   
            xlabel(0 1, labsize(3)) 
            ylabel(-.1 0 .1 .2 .3 .4 .5 .6 .7 .8 .9, labsize(3))
            yscale(noline)
            xscale(noline)

            legend(off)
            title("", size(4))
            subtitle(" " "" " ", size(3))
            xtitle("Nuclear Security", size(3.5)  )
            ytitle("Marginal Effect of Nuclear Reactors", size(3.5))
            xsca(titlegap(2))
            ysca(titlegap(2))
            scheme(s2mono) graphregion(fcolor(white));



***********************************************************************************************************************************************
* Sensitivity Analyses for the Online Appendix
***********************************************************************************************************************************************
probit plot lnrx gdpcap democracy majpow cwar plotyrs* , cluster(stateno)
outreg2 using "Table 2.doc", nolabel se replace bdec(3) 
probit nrterror lnrx gdpcap democracy majpow cwar peaceyrs* if reactors~=0, cluster(stateno)
outreg2 using "Table 2.doc", nolabel se append bdec(3) 
probit nrterror lnrx gdpcap democracy majpow cwar peaceyrs* if stateno~=365 , cluster(stateno)
outreg2 using "Table 2.doc", nolabel se append bdec(3) 
probit nrterror lnrx gdpcap democracy majpow cwar peaceyrs* if UsaRussia==0, cluster(stateno)
outreg2 using "Table 2.doc", nolabel se append bdec(3) 
relogit nrterror lnrx gdpcap democracy majpow cwar peaceyrs* , cluster(stateno)
outreg2 using "Table 2.doc", nolabel se append bdec(3) 
nbreg numnrt lnrx_avg gdpcap_avg democracy_avg  majpow cwar_avg if year==2006, cluster(stateno)
outreg2 using "Table 2.doc", nolabel se append bdec(3) 
probit nrterror lnrx lnnumnukes gdpcap democracy majpow cwar peaceyrs* , cluster(stateno)
outreg2 using "Table 2.doc", nolabel se append bdec(3) 
probit nrterror lnnumnukes gdpcap democracy majpow cwar peaceyrs* , cluster(stateno)
outreg2 using "Table 2.doc", nolabel se append bdec(3) 
probit  nrterror lnrx  hf_corrupt lnrxXhfc gdpcap democracy majpow cwar peaceyrs* , cluster(stateno)
outreg2 using "Table 2.doc", nolabel se append bdec(3) 
probit  nrterror lnrx cpp lnrxXcpp  hf_corrupt lnrxXhfc gdpcap democracy majpow cwar peaceyrs* , cluster(stateno)
outreg2 using "Table 2.doc", nolabel se append bdec(3) 

probit nrterror lnrx gdpcap democracy majpow cwar peaceyrs* if reactors~=0, cluster(stateno)
sum lnrx democracy majpow cwar if e(sample)
prvalue, x(lnrx=0 democracy=1 majpow=0 cwar=0)
prvalue, x(lnrx=1.85 democracy=1 majpow=0 cwar=0)


****************************
***Replicate Figure 3 using plots as the DV
****************************
probit  plot lnrx honesty lnrxXhonesty gdpcap democracy majpow cwar plotyrs* , cluster(stateno)
sum plot lnrx honesty lnrxXhonesty gdpcap democracy majpow cwar plotyrs* if e(sample)
#delimit;
probit  plot lnrx honesty lnrxXhonesty gdpcap democracy majpow cwar plotyrs* , cluster(stateno);
preserve;
drawnorm MF_b1-MF_b11, n(10000) means(e(b)) cov(e(V)) clear;

postutil clear;
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim_corruption  , replace;
            noisily display "start";          
           
local a=0; 
while `a' <= 6  {;

quietly display "got here";
quietly {;

scalar h_lnrx=.95;
scalar h_gdpcap=7435;
scalar h_democracy=0;
scalar h_majpow=0;
scalar h_cwar=0;
scalar h_plotyrs=6.46;
scalar h_plotyrs2=60.99;
scalar h_plotyrs3=651.58;
scalar h_constant=1;

    generate x_betahat0 = MF_b1*h_lnrx
                            + MF_b2*(`a')
                            + MF_b3*h_lnrx*(`a')
				    + MF_b4*h_gdpcap
                            + MF_b5*h_democracy
                            + MF_b6*h_majpow
                            + MF_b7*h_cwar
                            + MF_b8*h_plotyrs
                            + MF_b9*h_plotyrs2
                            + MF_b10*h_plotyrs3
                            + MF_b11*h_constant;
                              
    generate x_betahat1 = MF_b1*(h_lnrx+4.92)
                            + MF_b2*(`a')
                            + MF_b3*(h_lnrx+4.92)*(`a')
				    + MF_b4*h_gdpcap
                            + MF_b5*h_democracy
                            + MF_b6*h_majpow
                            + MF_b7*h_cwar
                            + MF_b8*h_plotyrs
                            + MF_b9*h_plotyrs2
                            + MF_b10*h_plotyrs3
                            + MF_b11*h_constant;

   gen prob0=normal(x_betahat0);
    gen prob1=normal(x_betahat1);
    gen diff=prob1-prob0;
    
    egen probhat0=mean(prob0);
    egen probhat1=mean(prob1);
    egen diffhat=mean(diff);
    
    tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi ;  

    _pctile prob0, p(2.5,97.5) ;
    scalar `lo0' = r(r1);
    scalar `hi0' = r(r2);  
    
    _pctile prob1, p(2.5,97.5);
    scalar `lo1'= r(r1);
    scalar `hi1'= r(r2);  
    
    _pctile diff, p(2.5,97.5);
    scalar `diff_lo'= r(r1);
    scalar `diff_hi'= r(r2);  
  
    scalar `prob_hat0'=probhat0;
    scalar `prob_hat1'=probhat1;
    scalar `diff_hat'=diffhat;
    
    post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') 
                (`diff_hat') (`diff_lo') (`diff_hi') ;
    };      
    drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat ;
    local a=`a'+ 1 ;
    display "." _c;
    } ;
display "";
postclose mypost;
use sim_corruption, clear;
gen MV = _n-1;
graph twoway line diff_hat MV, clwidth(medium) clcolor(blue) clcolor(black)
        ||   line diff_lo  MV, clpattern(dash) clwidth(thin) clcolor(black)
        ||   line diff_hi  MV, clpattern(dash) clwidth(thin) clcolor(black)
        ||  ,   
            xlabel(0 1 2 3 4 5 6 , labsize(3)) 
            ylabel(-.1 0 .1 .2 .3 .4 .5 , labsize(3))
            yscale(noline)
            xscale(noline)

            legend(off)
            title("", size(4))
            subtitle(" " "" " ", size(3))
            xtitle("Honesty", size(3.5)  )
            ytitle("Marginal Effect of Nuclear Plants", size(3.5))
            xsca(titlegap(2))
            ysca(titlegap(2))
            scheme(s2mono) graphregion(fcolor(white));



**********************
*Replicate Figure 2 using plots as DV
**********************
probit  plot lnrx cpp lnrxXcpp gdpcap democracy majpow cwar plotyrs* , cluster(stateno)
sum plot lnrx cpp lnrxXcpp gdpcap democracy majpow cwar plot* if e(sample)
#delimit;
probit  plot lnrx cpp lnrxXcpp gdpcap democracy majpow cwar plotyrs* , cluster(stateno);
preserve;
drawnorm MF_b1-MF_b11, n(10000) means(e(b)) cov(e(V)) clear;

postutil clear;
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim_cppplot  , replace;
            noisily display "start";          
           
local a=0; 
while `a' <= 1  {;

quietly display "got here";
quietly {;

scalar h_lnrx=.79;
scalar h_gdpcap=6293.2;
scalar h_democracy=0;
scalar h_majpow=0;
scalar h_cwar=0;
scalar h_plotyrs=6.56;
scalar h_plotyrs2=62.17;
scalar h_plotyrs3=666.28;
scalar h_constant=1;

    generate x_betahat0 = MF_b1*h_lnrx
                            + MF_b2*(`a')
                            + MF_b3*h_lnrx*(`a')
				    + MF_b4*h_gdpcap
                            + MF_b5*h_democracy
                            + MF_b6*h_majpow
                            + MF_b7*h_cwar
                            + MF_b8*h_plotyrs
                            + MF_b9*h_plotyrs2
                            + MF_b10*h_plotyrs3
                            + MF_b11*h_constant;
                              
    generate x_betahat1 = MF_b1*(h_lnrx+5.08)
                            + MF_b2*(`a')
                            + MF_b3*(h_lnrx+5.08)*(`a')
				    + MF_b4*h_gdpcap
                            + MF_b5*h_democracy
                            + MF_b6*h_majpow
                            + MF_b7*h_cwar
                            + MF_b8*h_plotyrs
                            + MF_b9*h_plotyrs2
                            + MF_b10*h_plotyrs3
                            + MF_b11*h_constant;

   gen prob0=normal(x_betahat0);
    gen prob1=normal(x_betahat1);
    gen diff=prob1-prob0;
    
    egen probhat0=mean(prob0);
    egen probhat1=mean(prob1);
    egen diffhat=mean(diff);
    
    tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi ;  

    _pctile prob0, p(2.5,97.5) ;
    scalar `lo0' = r(r1);
    scalar `hi0' = r(r2);  
    
    _pctile prob1, p(2.5,97.5);
    scalar `lo1'= r(r1);
    scalar `hi1'= r(r2);  
    
    _pctile diff, p(2.5,97.5);
    scalar `diff_lo'= r(r1);
    scalar `diff_hi'= r(r2);  
  
    scalar `prob_hat0'=probhat0;
    scalar `prob_hat1'=probhat1;
    scalar `diff_hat'=diffhat;
    
    post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') 
                (`diff_hat') (`diff_lo') (`diff_hi') ;
    };      
    drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat ;
    local a=`a'+ 1 ;
    display "." _c;
    } ;
display "";
postclose mypost;
use sim_cppplot, clear;
gen MV = _n-1;
graph twoway line diff_hat MV, clwidth(medium) clcolor(blue) clcolor(black)
        ||   line diff_lo  MV, clpattern(dash) clwidth(thin) clcolor(black)
        ||   line diff_hi  MV, clpattern(dash) clwidth(thin) clcolor(black)
        ||  ,   
            xlabel(0 1, labsize(3)) 
            ylabel(-.1 0 .1 .2 .3 .4 , labsize(3))
            yscale(noline)
            xscale(noline)

            legend(off)
            title("", size(4))
            subtitle(" " "" " ", size(3))
            xtitle("Nuclear Security", size(3.5)  )
            ytitle("Marginal Effect of Nuclear Reactors", size(3.5))
            xsca(titlegap(2))
            ysca(titlegap(2))
            scheme(s2mono) graphregion(fcolor(white));



